﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;

namespace DialogWindowNoHeader
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDialogWindow_Loaded(object sender, RoutedEventArgs e)
        {
            Border header = Utilities.GetDescendantFromName(sender as DependencyObject, "HeaderArea") as Border;
            header.Visibility = System.Windows.Visibility.Collapsed;

            Grid borderGrid = Utilities.GetDescendantFromName(sender as DependencyObject, "BorderGrid") as Grid;
            borderGrid.Visibility = Visibility.Collapsed;


            ////Use the below loop if you wish to remove the small border that appears
            //Grid content = Utilities.GetDescendantFromName(sender as DependencyObject, "ContentGrid") as Grid;
            //foreach (var item in content.Children)
            //{
            //    if (item is Border)
            //        (item as Border).BorderThickness = new Thickness(0);
            //}


            Grid parent = header.Parent as Grid;
            parent.RowDefinitions[0].MinHeight = 8;
        }
    }
}
